<template>
    <div class="sticker_top">
        <div class="sticker_top__text" :style="{right: `${position.right}px`, top: `${position.top}px`, transform: `rotate(${position.rotate}deg)`}">{{text}}</div>
        <img src="/images/sticker-right-top.svg" alt="sticker">
    </div>
</template>

<script>
export default {
    props: {
        text: {
            type: String,
            default: 'Top'
        },
        position: Object
    }
}
</script>

<style scoped lang="scss">
.sticker_top {
    position: absolute;
    top: -4px;
    right: 8px;
    &__text {
        text-transform: uppercase;
        font-weight: 500;
        font-size: 14px;
        line-height: 16px;
        color: #fff;
        position: absolute;
    }
}
</style>
